<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>voidPressure.f03 &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>voidPressure.f03
    <small>Source File</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.0% of total for source files.">5 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/voidPressure.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
  
     <li class="active">voidPressure.f03</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 














<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#subs-0">Subroutines</a></h3></div>
  <div class="list-group">
    <div id="subs-0" class="panel-collapse collapse">
      
      <a class="list-group-item" href="../proc/voidpressureboundary.html">voidPressureBoundary</a>
      
    </div>
  </div>
</div>









<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title">Source Code</h3></div>
  <div class="list-group">
    <a class="list-group-item" href="../sourcefile/voidpressure.f03.html#src">voidPressure.f03</a>
  </div>
</div>



</div>

    </div>
    <div class="col-md-9" id='text'>
      
      <br>
    
      
      

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 














<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#subs-1">Subroutines</a></h3></div>
  <div class="list-group">
    <div id="subs-1" class="panel-collapse collapse">
      
      <a class="list-group-item" href="../proc/voidpressureboundary.html">voidPressureBoundary</a>
      
    </div>
  </div>
</div>









<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title">Source Code</h3></div>
  <div class="list-group">
    <a class="list-group-item" href="../sourcefile/voidpressure.f03.html#src">voidPressure.f03</a>
  </div>
</div>



    </section>
    <br class="visible-xs visible-sm hidden-md">

    <section>
      <h2><span class="anchor" id="src"></span>Source Code</h2>
    <div class="hl"><pre><span></span><a id="ln-1" name="ln-1"></a><span class="c">!*******************************************************************************************! </span>
<a id="ln-2" name="ln-2"></a><span class="c">!  ______ _     _    _ ____ _____ ____         _____  ______ _______ _____  _____           !</span>
<a id="ln-3" name="ln-3"></a><span class="c">! |  ____| |   | |  | |  _ \_   _/ __ \       |  __ \|  ____|__   __/ ____|/ ____|          !</span>
<a id="ln-4" name="ln-4"></a><span class="c">! | |__  | |   | |  | | |_) || || |  | |______| |__) | |__     | | | (___ | |               !</span>
<a id="ln-5" name="ln-5"></a><span class="c">! |  __| | |   | |  | |  _ &lt; | || |  | |______|  ___/|  __|    | |  \___ \| |               !</span>
<a id="ln-6" name="ln-6"></a><span class="c">! | |    | |___| |__| | |_) || || |__| |      | |    | |____   | |  ____) | |____           !</span>
<a id="ln-7" name="ln-7"></a><span class="c">! |_|    |______\____/|____/_____\____/       |_|    |______|  |_| |_____/ \_____|          !</span>
<a id="ln-8" name="ln-8"></a><span class="c">!*******************************************************************************************!</span>
<a id="ln-9" name="ln-9"></a>
<a id="ln-10" name="ln-10"></a><span class="c">!*******************************************************************************************!</span>
<a id="ln-11" name="ln-11"></a><span class="c">!                                                                                           !</span>
<a id="ln-12" name="ln-12"></a><span class="c">! License:                                                                                  !</span>
<a id="ln-13" name="ln-13"></a><span class="c">! Creative commons CC BY-NC 2.0                                                             !</span>
<a id="ln-14" name="ln-14"></a><span class="c">!                                                                                           !</span>
<a id="ln-15" name="ln-15"></a><span class="c">! How to cite:                                                                              !</span>
<a id="ln-16" name="ln-16"></a><span class="c">! E. Alinovi, J. Guerrero, &quot;FLUBIO – An unstructured, parallel, finite-volume               !</span>
<a id="ln-17" name="ln-17"></a><span class="c">! based Navier-Stokes and convection-diffusion like equations solver for teaching           !</span>
<a id="ln-18" name="ln-18"></a><span class="c">! and research purposes,&quot; SoftwareX, Volume 13, January 2021, 100655.                       !</span>
<a id="ln-19" name="ln-19"></a><span class="c">! https://doi.org/10.1016/j.softx.2020.100655                                               !</span>
<a id="ln-20" name="ln-20"></a><span class="c">!                                                                                           !</span>
<a id="ln-21" name="ln-21"></a><span class="c">! Code repository:                                                                          !</span>
<a id="ln-22" name="ln-22"></a><span class="c">! https://gitlab.com/alie89/flubio-code-fvm                                                 !</span>
<a id="ln-23" name="ln-23"></a><span class="c">!                                                                                           !</span>
<a id="ln-24" name="ln-24"></a><span class="c">!*******************************************************************************************!</span>
<a id="ln-25" name="ln-25"></a>
<a id="ln-26" name="ln-26"></a>    <span class="k">subroutine </span><span class="n">voidPressureBoundary</span><span class="p">(</span><span class="n">fluxCb</span><span class="p">)</span>
<a id="ln-27" name="ln-27"></a>
<a id="ln-28" name="ln-28"></a>    <span class="c">!==================================================================================================================</span>
<a id="ln-29" name="ln-29"></a>    <span class="c">! Description:</span>
<a id="ln-30" name="ln-30"></a>    <span class="c">!! voidPressureBoundary is the equivalent to voidBoundary, but must be used for the pressure equation.</span>
<a id="ln-31" name="ln-31"></a>    <span class="c">!==================================================================================================================</span>
<a id="ln-32" name="ln-32"></a>
<a id="ln-33" name="ln-33"></a>    <span class="k">implicit none</span>
<a id="ln-34" name="ln-34"></a>
<a id="ln-35" name="ln-35"></a><span class="k">    </span><span class="kt">real</span> <span class="kd">::</span> <span class="n">fluxCb</span>
<a id="ln-36" name="ln-36"></a><span class="c">!------------------------------------------------------------------------------------------------------------------</span>
<a id="ln-37" name="ln-37"></a>
<a id="ln-38" name="ln-38"></a>    <span class="n">fluxCb</span> <span class="o">=</span> <span class="mf">0.0</span>
<a id="ln-39" name="ln-39"></a>
<a id="ln-40" name="ln-40"></a><span class="k">end subroutine </span><span class="n">voidPressureBoundary</span>
</pre></div>

    </section>
    </div>
  </div>

  
    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>